QGIS Application - Bug report #10234
Difficult to edit nodes of polygons close together
2014-05-12 12:43 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.2.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18673
Description

If | am editing a layer that contains polygons close together it can be almost impossible to select the one | am trying to edit, when the Node
tool is being used.

In the picture shown | have four polygons. The red one and the grey one are in the same layer - the red one has been selected for node
editing. Yet try as | might | simply cannot get its nodes to show the selection rectangle, no matter where | click. The majority of the time,

the selection will snap to the other polygon next to this one.

| can't see why it is that if | have used the selection tool to select a particular polygon, why | can't make the vertices of that polygon be
selected for editing. Even when | click in the bottom right corner | am still selecting a vertice on the polygon in the top left hand corner !

All the snapping options have been looked at and tolerances set to zero but still getting the problem.

Related issues:

Related to QGIS Application - Feature request # 11022: Difficult to modify n... Closed 2014-08-07
Related to QGIS Application - Feature request # 3752: Clicking inside the pol... Open
History

#1 - 2014-05-12 03:49 AM - Patrick Dunford
- File Third_Floor.zip added

Sample project and layers attached.

#2 - 2014-05-13 04:06 AM - Patrick Dunford
- File qgis_bug_2014-05-12a.JPG added

And another thing, | want someone to tell me what is happening here because this is incredibly frustrating as well... | have clicked on one vertice (node) and
it decides to move two instead of one. This happens sometimes quite often regardless.

#3 - 2014-05-13 06:47 AM - Antonio Locandro

Sorry, | don't see the red square but | am not able to confirm what you report, to edit nodes and select you have to click on the appropriate layer in the list
of layers, | could move the nodes without issues and | couldn't reproduce.

#4 - 2014-05-20 06:56 AM - Patrick Dunford
Uh??7? Well here is another illustration. | have used the selection tool to select the polygon which is filled with red (the selection colour of my project). | now

try to click on the top right corner (node) of that polygon. Instead of that, what is being selected is the line shown in blue which is the side of a different

polygon.

At the least it should be possible to select the nodes of the currently selected polygon, if there are several which are close together.

#5 - 2014-05-20 06:57 AM - Patrick Dunford
- File qgis_IMG_0770.jpg added

The photo that was supposed to accompany the last submission.

#6 - 2014-05-20 10:35 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Digitising

Patrick Dunford wrote:

Unh???

the project you attached is missing two layers that are probably necessary to understand better your point. A screencast would also probably help.

#7 - 2014-05-23 02:46 AM - Leyan Ouyang
Patrick Dunford wrote:
And another thing, | want someone to tell me what is happening here because this is incredibly frustrating as well... | have clicked on one vertice

(node) and it decides to move two instead of one. This happens sometimes quite often regardless.

This happens if you click on the segment instead of the node. Then both extremities of the segment are selected and moved together. | often do that by

mistake as well, | agree the Ul is not very good.

#8 - 2014-05-23 02:53 AM - Leyan Ouyang

| had a look at your shapefiles and | can't reproduce the issue. | agree with Giovanni that a screencast would be very useful to see where is the problem.

edit: | think | see your problem: when a polygon has already been selected, you cannot select another one by clicking "too close" of the first one. However,

this "too close" is not affected by the zoom, so can give counter-intuitive results. | will look into it.

#9 - 2014-05-24 02:38 AM - Leyan Ouyang

The issue is due to rounding happening when selecting features and snapping nodes.

In the short term, | would advise to choose a projected coordinate refrence system instead of WGS84 to work on such large scale data. This should solve

your problems as you would be working in meters instead of degrees, giving more reasonable numbers to work with. If it is not possible, try to zoom out
when selecting new features and nodes, this will help a bit.

However, | agree that there are bugs in the way QGis deals with these level of zoom and and these small distances. If they are available, all QGis features

should work as expected.

#10 - 2014-05-24 09:01 PM - Patrick Dunford

Thanks that last response.

If the layers you get come in WGS84 coordinates, how do you change the coordinates into some other system?

#11 - 2014-05-26 03:43 AM - Giovanni Manghi

Patrick Dunford wrote:

Thanks that last response.

If the layers you get come in WGS84 coordinates, how do you change the coordinates into some other system?

activate the reprojection in project properties and select a cartographic CRS, or use the "save as..." function to create copies of your layers in a projected

CRS.

| would suggest to close this ticket.

#12 - 2014-10-06 11:49 AM - Giovanni Manghi

- Resolution set to worksforme

Closing for lack of feedback.

#13 - 2014-10-06 11:49 AM - Giovanni Manghi

- Status changed from Feedback to Closed
